---
id: tsg-http-data-plane
title: "TSG HTTP Data Plane"
description: "This OpenAPI specification shows the endpoints of the HTTP Data Plane."
sidebar_label: Introduction
sidebar_position: 0
hide_title: true
custom_edit_url: null
---

import ApiLogo from "@theme/ApiLogo";
import Heading from "@theme/Heading";
import SchemaTabs from "@theme/SchemaTabs";
import TabItem from "@theme/TabItem";
import Export from "@theme/ApiExplorer/Export";

<Export
  url={"openapi.yaml"}
  proxy={undefined}
>
  
</Export>

<Heading
  as={"h1"}
  className={"openapi__heading"}
  children={"TSG HTTP Data Plane"}></Heading>

This OpenAPI specification shows the endpoints of the HTTP Data Plane.

<div style={{ marginBottom: "2rem" }}>
  <Heading
    id={"authentication"}
    as={"h2"}
    className={"openapi-tabs__heading"}
    children={"Authentication"}></Heading>
  <SchemaTabs className={"openapi-tabs__security-schemes"}>
    <TabItem label={"OAuth 2.0: oauth2"} value={"oauth2"}>
      <div>
        <table>
          <tbody>
            <tr>
              <th>Security Scheme Type:</th>
              <td>oauth2</td>
            </tr>
            <tr>
              <th>OAuth Flow (password):</th>
              <td>
                <span>Scopes:</span>
                <ul>
                  <li>httpdataplane_admin: httpdataplane_admin</li>
                  <li>httpdataplane_dataplane: httpdataplane_dataplane</li>
                </ul>
              </td>
            </tr>
          </tbody>
        </table>
      </div>
    </TabItem>
    <TabItem label={"HTTP: Bearer Auth"} value={"bearer"}>
      Verifiable Presentation needed to communicate between two instances of the
      control plane.
      <div>
        <table>
          <tbody>
            <tr>
              <th>Security Scheme Type:</th>
              <td>http</td>
            </tr>
            <tr>
              <th>HTTP Authorization Scheme:</th>
              <td>bearer</td>
            </tr>
            <tr>
              <th>Bearer format:</th>
              <td>VP</td>
            </tr>
          </tbody>
        </table>
      </div>
    </TabItem>
  </SchemaTabs>
</div>
<div style={{ marginBottom: "var(--ifm-paragraph-margin-bottom)" }}>
  <h3 style={{ marginBottom: "0.25rem" }}>License</h3>
  <a href={"https://www.apache.org/licenses/LICENSE-2.0.html"}>Apache 2.0</a>
</div>
